%define realname dbus-sharp

Summary: D-BUS message bus C# bindings for mono
Name: libdbus-mono
Version: 0.63
Release: alt2
URL: http://www.freedesktop.org/Software/dbus
Source0: %realname-%version.tar.bz2
License: AFL/GPL
Group:  Development/Other

Requires: libdbus-glib

BuildRequires: /proc
BuildRequires:  mono-devel mono-mcs rpm-build-mono gcc-c++ packages-info-i18n-common libgtk-sharp2

Patch1: dbus-sharp-0.63-nogtk.patch
Patch2: dbus-sharp-gchandle.patch
Patch3: dbus-sharp-0.70-dllmap.patch
Patch4: dbus-sharp-0.70-gtk-sharp2.patch
Patch5: dbus-sharp-fix-path.patch

%description
D-Bus is a system for sending messages between applications. It is
used both for the systemwide message bus service, and as a
per-user-login-session messaging facility.

This package provides the C# bindings for using D-Bus from mono.

%package devel
Summary: pkgconfig file for D-Bus Sharp
Group:  Development/Other
Requires: %name = %version-%release

%description devel

pkgconfig file for D-Bus Sharp development.

%prep
%setup -q -n %realname-%version
%patch1 -p1
%patch2 -p1 
%patch4 -p1
%patch5 -p1

%__subst 's,libdir=@libdir@,libdir=${prefix}/lib,' dbus-sharp.pc.in

%build
%__autoreconf
%configure
%make

%install

%make_install install DESTDIR=%buildroot

%files
%doc COPYING ChangeLog NEWS
%_monogacdir/*
%_monodir/*-sharp

%files devel
%_libdir/pkgconfig/*

%changelog
* Mon Nov 27 2006 Alexey Shabalin <shaba@altlinux.ru> 0.63-alt2
- drop mono-tools in BuildRequires

* Thu Nov 23 2006 Alexey Shabalin <shaba@altlinux.ru> 0.63-alt1
- Initial package for ALTLinux

